Opened 15 years ago

Closed 15 years ago

#5094 closed defect (fixed)

NEW: py-gramps-2.0.8

Reported by: rjt-bugzilla@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc: markd@…
Port:

Description

gramps-2.0.8

the portfile can be found here: ATTACHED

Description: Gramps is a programme for recording your family history. The port only required a small alteration to the configure script dependancy checking because the python imp.find_module() function does not appear to work proberly on OSX. The tarball contains the port file and a patch for the configure.in script.

Homepage: http://www.gramps-project.org/

Comments: Gramps requires a newer version of py-gnome than is currently in the Darwinports. I have posted an update to the py-gnome port maintainer. The py-gnome-2.0 version in darwinports at present will not work. I have tested against py-gnome-2.11.

The port turns of the installation of the mime types into the share-mime-info database because it does not work with the straging process. At present it just tells the user to run the mime install script by hand, it would be nice if this could be done as part of the activation but I do not know how to do it.

Attachments (3)

py-gramps-2.0.8.tgz (929 bytes) - added by rjt-bugzilla@… 15 years ago.
port tarball for gramps-2.0.8
Portfile.diff (797 bytes) - added by bfulgham@… 15 years ago.
Update portfile to clean up a few odds'n'ends.
Portfile.2.diff (814 bytes) - added by bfulgham@… 15 years ago.
Updated Portfile.

Download all attachments as: .zip

Change History (7)

Changed 15 years ago by rjt-bugzilla@…

Attachment: py-gramps-2.0.8.tgz added

port tarball for gramps-2.0.8

Changed 15 years ago by bfulgham@…

Attachment: Portfile.diff added

Update portfile to clean up a few odds'n'ends.

Changed 15 years ago by bfulgham@…

Attachment: Portfile.2.diff added

Updated Portfile.

comment:1 Changed 15 years ago by blb@…

dependson: 6224

comment:2 Changed 15 years ago by markd@…

Cc: markd@… added

(In reply to comment #3)

Created an attachment (id=4996) [edit] Updated Portfile.

This port is now committed. Thanks! Deadfully sorry it was not done promptly. I see there is now a version 2.0.10 but I don't know what patches, if any, might be required so I left it alone. If you want to submit patches for an update I promise it will get updated quickly this time.

I tested it on 10.4. The help files are not usable. That needs some tweaking. Something in doc/gramps-manual/Makefile.in needs correcting.

comment:3 Changed 15 years ago by markd@…

I accidentally put this in the wrong category. I just changed it from python/py-gramps to gnome/gramps. I also bumped it to 2.0.10. This can be closed.

comment:4 Changed 15 years ago by blb@…

Resolution: fixed
Status: newclosed

Resolving per markd@'s comment.

Note: See TracTickets for help on using tickets.